Table of Contents

Class: id_enabled | ../bkchem/parents.py
--- | ---
the basic parent that has something to do with the paper, it provides id support
Base Classes |
--- | ---
simple_parent object
Methods |
--- | ---
__init__ copy_settings generate_id
| __init__
    __init__ ( self )
| copy_settings
    copy_settings ( self,  other )
copies settings of self to other, does not check if other is capable of receiving it
| generate_id
    generate_id ( self )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1